[Numpy-discussion] numpy.linalg.eigvals crashes whn calling lapack_lite.pyd

Simon simonpy2008@gmail....
Wed Jan 9 15:52:40 CST 2008


Charles R Harris <charlesr.harris <at> gmail.com> writes:

[snip]
> 
> Which specific version of numpy for 2.5 did you use? Can you try one of the
other versions on the sourceforge site?Chuck 
> 
> 

I have just tried:
numpy-1.0.3.1.win32-py2.5.exe

and it works!

I was using:
numpy-1.0.4.win32-py2.5.msi

Have no idea what a .egg file is, and I have no access to a compiler on windows,
so can't use the source for 1.0.4 (and don't want to go down the cygwin pathway
again).

However, last night I got hold of a mac and compiled numpy 1.0.4 from source. My
code works fine with:

OS X 10.4.11
Python 2.4.3
numpy 1.0.4

although this isn't python 2.5, there's clearly something up with my Windows
install of numpy 1.0.4.

I'll stick with numpy 1.0.3.1 for now.

If anybody wants to chase down the problem with 1.0.4, let me know and I'll
provide what assistance that I can.

Simon



More information about the Numpy-discussion mailing list